<?php

/**
 * All selections etc. should go through here.
 * 
 * Class DEPOCarrierAjaxModuleFrontController
 * 
 * Use &ajax&action=method_name to call displayAjaxMethodName()
 * @deprecated (use actionCarrierProcess instead!!!)
 */
class DEPOCarrierAjaxModuleFrontController extends ModuleFrontController {
	
	public function displayAjaxTest() {
		$data = Tools::getValue('parameters');
		die(Tools::jsonEncode(['parameters' => $data]));
	}

	/**
	 * Sets place_id for current cart.
	 * @throws PrestaShopException
	 */
	public function displayAjaxSetPlace() {
		$data = Tools::getValue('parameters');
		$depo_cart = new CartDepoExt($this->context->cart->id);
		
		// set id place
		$depo_cart->id_place = $data['id_place'];
		
		// if depo cart does not yet exist, add to the database
		if (!Validate::isLoadedObject($depo_cart)) {
			$depo_cart->id = $this->context->cart->id;
			$_POST['forceIDs'] = true;
			$depo_cart->add();
			unset($_POST['forceIDs']);
		} else {
			$depo_cart->update();
		}
		
		die(Tools::jsonEncode(['parameters' => $data]));
	}
}