CREATE TABLE IF NOT EXISTS `$DB_PREFIX$order_depo_ext` (
	`id_order` INT UNSIGNED NOT NULL,
	`id_place` VARCHAR(255) NOT NULL,
	`number` VARCHAR(255) NULL DEFAULT NULL,
	`cancelled` TINYINT NOT NULL DEFAULT '0',
	`date_add` DATETIME NOT NULL,
	`date_upd` DATETIME NOT NULL,
	PRIMARY KEY (`id_order`),
	CONSTRAINT `FK__$DB_PREFIX$_order_depo_ext_orders` FOREIGN KEY (`id_order`) REFERENCES `$DB_PREFIX$orders` (`id_order`) ON UPDATE CASCADE ON DELETE CASCADE
)
COLLATE='utf8_bin'
ENGINE=InnoDB
;

